Bug 89683 - LPRng-3.7.4-28.2 prohibits remote access to lpd
Summary: LPRng-3.7.4-28.2 prohibits remote access to lpd
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: LPRng (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-25 23:22 UTC by Konrad J. Hambrick
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-29 14:22:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ps2pdf of RedHat Advisory Page for LPRNg (11.21 KB, application/octet-stream)
2003-04-27 21:12 UTC, Konrad J. Hambrick
no flags Details

Description Konrad J. Hambrick 2003-04-25 23:22:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-31 i686)

Description of problem:
LPRng-3.7.4-28.2 /etc/lpd.perms prevents
remote printer access by  default.

This is different behaviour from the previous
version.

Please give the users a heads up !

Version-Release number of selected component (if applicable):
LPRng-3.7.4-28.2

How reproducible:
Always

Steps to Reproduce:
1. Update to LPRng-3.7.4-28.2
2. Try to print from remote client
3. Remote Printing is disallowed by default by lpd
    

Actual Results:  print jobs queue on remote clients

Expected Results:  print jobs transferred to remote server and
committed to paper

Additional info:

please add a heads up to your update info page !

Comment 1 Tim Waugh 2003-04-27 20:54:27 UTC
This is explained in the advisory.

Comment 2 Konrad J. Hambrick 2003-04-27 21:12:33 UTC
Created attachment 91321 [details]
ps2pdf of RedHat Advisory Page for LPRNg

this is a .pdf of the RedHat Advisory Page.

Comment 3 Tim Waugh 2003-04-28 07:56:02 UTC
That advisory ought to reference
https://rhn.redhat.com/errata/RHSA-2002-089.html, where this behaviour
intentionally changed.  Sorry, didn't realise it didn't.

Comment 4 Konrad J. Hambrick 2003-04-28 13:50:03 UTC
twaugh --

Thanks for the url.

Now I need to find out how I
missed the previous update ...

( LPRng-3.7.4-28.1.i386.rpm )

-- kjh

Comment 5 Tim Waugh 2003-04-29 14:22:58 UTC
It turns out to be extremely awkward to change this retrospectively; sorry. 
We'll pay closer attention in future.


Note You need to log in before you can comment on or make changes to this bug.